# Class BasicScrollPaneUI.HSBChangeListener

java.lang.Object
javax.swing.plaf.basic.BasicScrollPaneUI.HSBChangeListener

All Implemented Interfaces:
  `EventListener, ChangeListener`

Enclosing class:
  `BasicScrollPaneUI`

@Deprecated(since="17", forRemoval=true) public class BasicScrollPaneUI.HSBChangeListener extends Object implements ChangeListener
Deprecated, for removal: This API element is subject to removal in a future version.
Horizontal scrollbar listener. This class exists only for backward compatibility. All its functionality has been moved into Handler.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSBChangeListener()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a `HSBChangeListener`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `stateChanged(ChangeEvent e)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Invoked when the target of the listener has changed its state.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HSBChangeListener

    public HSBChangeListener()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a `HSBChangeListener`.

- ## Method Details

  - ### stateChanged

    public void stateChanged(ChangeEvent e)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from interface: `ChangeListener`
    Invoked when the target of the listener has changed its state.
    Specified by:
      `stateChanged` in interface `ChangeListener`
    Parameters:
      `e` - a ChangeEvent object